## EvDocumentText

EvDocumentText

## Functions

gchar * | ev_document_text_get_text ()
gboolean | ev_document_text_get_text_layout ()
cairo_region_t * | ev_document_text_get_text_mapping ()
PangoAttrList * | ev_document_text_get_text_attrs ()

## Types and Values

| EvDocumentText
struct | EvDocumentTextInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentText

## Description

## Functions

### ev_document_text_get_text ()

    gchar *
    ev_document_text_get_text (EvDocumentText *document_text,
                               EvPage *page);

### ev_document_text_get_text_layout ()

    gboolean
    ev_document_text_get_text_layout (EvDocumentText *document_text,
                                      EvPage *page,
                                      EvRectangle **areas,
                                      guint *n_areas);

### ev_document_text_get_text_mapping ()

    cairo_region_t *
    ev_document_text_get_text_mapping (EvDocumentText *document_text,
                                       EvPage *page);

### ev_document_text_get_text_attrs ()

    PangoAttrList *
    ev_document_text_get_text_attrs (EvDocumentText *document_text,
                                     EvPage *page);

Since: 3.10

## Types and Values

### EvDocumentText

    typedef struct _EvDocumentText EvDocumentText;

### struct EvDocumentTextInterface

    struct EvDocumentTextInterface {
            GTypeInterface base_iface;

            /* Methods */
            cairo_region_t *(* get_text_mapping) (EvDocumentText   *document_text,
    					      EvPage           *page);
            gchar          *(* get_text)         (EvDocumentText   *document_text,
    					      EvPage           *page);
            gboolean        (* get_text_layout)  (EvDocumentText   *document_text,
    					      EvPage           *page,
    					      EvRectangle     **areas,
    					      guint            *n_areas);
    	PangoAttrList  *(* get_text_attrs)   (EvDocumentText   *document_text,
    					      EvPage           *page);
    };